Download it now!
Bug 31036 - docx import: Imported images (png) not shown
Summary: docx import: Imported images (png) not shown
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Cédric Bosdonnat
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-21 13:42 UTC by Tobias Burnus
Modified: 2012-05-05 09:03 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Simple test.docx file (97.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2010-10-21 13:42 UTC, Tobias Burnus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Burnus 2010-10-21 13:42:39 UTC
Created attachment 39617 [details]
Simple test.docx file

The attached file, created with Microsoft Word 2003 (on Windows) contains a simple .png image and an equation editor OLE with an .wmf replacement image.

Opening the file in LibreOffice beta 2 (package from openSUSE Factory) or also in OOO330m6 works OK, just the boxes with the image and formula remain empty. (The boxes are hard to see as there is (correctly!) no line drawn around them.)


In case of the .png, the OOXML does not look that complicated:

word/document.xml contains
<v:imagedata r:id="rId7" o:title="" croptop="6533f" cropbottom="3266f"
cropleft="2726f" cropright="2726f"/>

word/_rels/document.xml.rels contains:
<Relationship Id="rId7"
Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/image"
Target="media/image1.png"/>

which is the file "word/media/image1.png" - a harmless .PNG file.



Cross reference:

a) OOo issue 92625: http://qa.openoffice.org/issues/show_bug.cgi?id=92625
some partial fix was committed in Jan 21, 2009 - though it is not completely clear into which branch. There seem to be also issues with VML-shapes and cropping, though I think that does not affect my example. February 2009 the issue was targeted for OOo 3.2.

b) There is a OOo (or rather Go-OOo) bug reported against openSUSE/Novell:
https://bugzilla.novell.com/show_bug.cgi?id=645557
That bugreport has a bit simpler test case - though mine here seems to be still simpler.
Comment 1 Muthu 2010-10-25 08:14:29 UTC
One for cedric?
Comment 2 Cédric Bosdonnat 2011-02-15 04:44:45 UTC
Fixed in the mean time (at least in master branch)
Comment 3 Roman Eisele 2012-05-05 09:03:49 UTC
Talking about DOCX import, this issue is (at least at the surface) a Writer issue, therefore changed the 'Component' field accordingly.

Set 'Version' field according to original description.